kio Library: KBindingPropsPlugin Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KBindingPropsPlugin Class Reference

Used to edit the files containing [Desktop Entry] Type=MimeType. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KBindingPropsPlugin:

[legend]
Collaboration diagram for KBindingPropsPlugin:

[legend]
List of all members.

## Public Member Functions
| KBindingPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
## Static Public Member Functions
static bool | supports (KFileItemList _items)

## Detailed Description

Used to edit the files containing [Desktop Entry] Type=MimeType.

Definition at line 692 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KBindingPropsPlugin::KBindingPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 2489 of file kpropertiesdialog.cpp. References KDialogBase::addPage(), QBoxLayout::addStretch(), QBoxLayout::addWidget(), KPropsDlgPlugin::changed(), QObject::connect(), QString::isEmpty(), QCheckBox::setChecked(), QLineEdit::setMaxLength(), QCheckBox::setNoChange(), QLineEdit::setText(), QLabel::setText(), QCheckBox::setTristate(), and QLineEdit::sizeHint().

## Member Function Documentation

void KBindingPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 2598 of file kpropertiesdialog.cpp. References QFile::close(), KConfigBase::deleteEntry(), QCheckBox::isChecked(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), QCheckBox::state(), KSimpleConfig::sync(), QLineEdit::text(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003